<!--#include file="global.asp" -->

<%
    ' This file is provided as part of ASP Power Widgets Samples
    '
    ' THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT
    ' WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,
    ' INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES
    ' OF MERCHANTABILITY AND/OR FITNESS FOR A  PARTICULAR
    ' PURPOSE.

    ' Copyright 1998-2002. All rights reserved.
    ' Dalun Software Inc. ASP Power Widgets
    ' http://dalun.com 
    ' mail: sales@dalun.com
    ' mail: techsupport@dalun.com
    ' if you have any suggestions or requirements, please write to us.
    ' Revisions:
    ' 1.0.0   Initial release
    ' 1.1.0   Added reading form items.
    ' 1.1.1   Added oUpload.Form, added oUpload.UploadedFiles(i).FormName
    ' 1.1.2   oUpload.Form Changed. oUpload.Form is a collection contains
    '         form items. Each item(object) in oUpload.Form has two properties: Name and Value.
    '         Changed oUpload.UploadedFiles as oUpload.UploadedFileInfo
    '         Added DeleteFile and DeleteDir methods.
    '         Added read-only UserDiskSpaceLeft property.
    ' 1.1.3   Changed oUpload.FileExtensionList case sensitive to be insensitive.
    '         Added the ability to read back the client path for uploaded files.
    ' 1.1.4   Minor changes. 
    ' 1.1.5   Added Saving file with prefix and suffix.   June 5,99
    '         Added Loading file into a BLOB field.
    ' 1.1.6   Added SaveUploadedFileAs, UploadedFileName, UploadedFileLen. June 15,99
    ' 1.1.7   Problem for Form items with a same name like Multiple Selection, etc.  August 23,99 
    ' 2.0.0.1 Many improvements, removed getlasterrorxxx, removed database functions, exposes  July 4, 2002
    '         byteArray of uploaded files. User can directly use appendchunk to load image into database 
    '         blob field now.  
%>

<%
    Dim oUpload, oFiles, oForm
    
    Server.ScriptTimeout = 600
    Set oUpload = Server.CreateObject("asppw.upload")

    'Set properties first
    'oUpload.FileExtensionList = "txt,gif,jpg,tif,doc,bmp"    
    'oUpload.MaxFileSize = 2 * 1024 * 1024 
    oUpload.UpLoadPath = Server.mappath("/Fupload") + "\Upload"   'save uploaded files to /inetpub/wwwroot/upload
    oUpload.UserDiskQuota = 20 * 1024 * 1024
    
    'Now we can parse the uploaded stream
    On Error Resume Next
    oUpload.Upload
    ChkError "Upload failed:"
    
    Set oForm = oUpload.Form
    Set oFiles = oUpload.UploadedFileInfo
    
    If Left(oForm("Checkbox1"),2) = "on" Then
        Dim sFile, lFileLen, byteArray
        byteArray = oUPload.GetUploadedFileBlob("FILE1", sFile, lFileLen)       
        ChkError ""
        If Len(sFile) > 0 and lFileLen <> -1 Then
            'Uncomment below to load file into image field.
            'Call SaveToDB(byteArray, oForm("FirstName"), oForm("LastName"))
            Response.binarywrite byteArray
        End if
    End if
    
    Response.Write "Total number of files uploaded: " & oUpload.NumOfUploadedFiles & "<BR/>"
    Response.Write oUpload.UserDiskSpaceLeft & " bytes left. <BR/>"

    Response.Write "Form items: " & oForm.Count & "<BR/>"
    Response.Write "Files uploaded: " & oFiles.Count & "<BR/>"
    
    Response.Write "<H2>Form Collection: (For each item in oForm)</H2>"    
    For each item in oForm
        Response.Write item.Name + "=" + item.Value + "<BR/>" & vbCrLf   
    Next 

    Response.Write "<H2>Form Collection: (For i = 1 to oForm.Count)</H2>"    
    For i = 1 to oForm.Count
        Set item  = oForm.Item(i)    
        Response.Write item.Name + "=" + item.Value + "<BR/>" & vbCrLf       
    Next

    Response.Write "<H2>File Collection: (For each item in oFiles)</H2>"    
    For each item in oFiles
        Response.Write item.FileName & "=" & item.FileLen & "<BR/>" & vbCrLf    
    Next 

    Response.Write "<H2>File Collection: (For i = 1 to oFiles.Count)</H2>"    
    For i = 1 to oFiles.Count 
        Set item  = oFiles.Item(i)    
        Response.Write item.FormName + "=" + item.FileName + " "
        Response.Write "FileLen=" & item.FileLen &  " "
        Response.Write "CliPath=" + item.CliPath & "</BR>" & vbCrLf
    Next
    ChkError ""

    Response.Write oForm("something").Value 
    ChkError ""
    
    If oUpload.NumOfUploadedFiles > 0 Then           
        Response.Write "<H2>Information of first uploaded file: </H2>"    
        Response.Write "File name: "  & oUpload.UploadedFileName & "<BR/>"
        Response.Write "File length: " & oUpload.UploadedFileLen & "<BR/>"
    End if

    Set item = oFiles("File1")   
    If item <> nothing Then
        Response.Write "Using oFiles(""File1"") " & item.FileName & " " & item.FileLen & " bytes."    
    End if

    Set oForm = Nothing
    Set oFiles = Nothing
    
    Set oUpload = Nothing
%>
